// gcc -o level4 -no-pie -fno-stack-protector level4.c
#include <stdio.h>
#include <stdlib.h>

const char command[] = "/bin/sh";

void win(const char *cmd) { system(cmd); }

int main(int argc, char **argv) {
  // Disable output buffering. Not part of the challenge.
  setvbuf(stdout, NULL, _IONBF, 0);
  setvbuf(stdin, NULL, _IONBF, 0);

  char buffer[32];
  puts("What do you want to talk about?");
  fgets(buffer, 320, stdin);
  puts("Bye.");
  return 0;
}
